%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtbluetooth %mklibname qt5bluetooth %qtmajor
%define libqtbluetooth_d %mklibname qt5bluetooth -d

%define libqtnfc %mklibname qt5nfc %qtmajor
%define libqtnfc_d %mklibname qt5nfc -d
%define libqtnfc_p_d %mklibname qt5nfc-private  -d

%define qttarballdir qtconnectivity-opensource-src-%{qtversion}


Name: qtconnectivity5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Connectivity
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: qtquick5-devel >= %{version}
BuildRequires: qtqml5-devel >= %{version}
BuildRequires: libbluez-devel
#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

#------------------------------------------------------------------------------

%package -n qtbluetooth5
Summary: Qt%{qtmajor} Bluetooth Component Library
Group: System/Libraries
Requires: %{libqtbluetooth} = %{version}
Provides: qt5bluetooth = %{version}

%description -n qtbluetooth5
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n qtbluetooth5
%{_qt5_bindir}/sdpscanner
%{_qt5_prefix}/qml/QtBluetooth

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: bluez

%description -n %{libqtbluetooth}
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n %{libqtbluetooth}
%{_qt5_libdir}/libQt5Bluetooth.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth_d}
Summary: Devel files needed to build apps based on QtBluetooth
Group: Development/Libraries
Requires: %{libqtbluetooth} = %version
Provides: libqtbluetooth5-devel = %version
Provides: libqt5bluetooth-devel = %version
Provides: qtbluetooth5-devel = %version
Provides: qt5bluetooth-devel = %version

Provides: libqtbluetooth5-private-devel = %version
Provides: libqt5bluetooth-private-devel = %version
Provides: qtbluetooth5-private-devel = %version
Provides: qt5bluetooth-private-devel = %version

Obsoletes: %{_lib}qt5bluetooth-private-devel
Provides:  %{_lib}qt5bluetooth-private-devel = %version

%description -n %{libqtbluetooth_d}
Devel files needed to build apps based on Qt Bluetooth.

%files -n %{libqtbluetooth_d}
%{_qt5_libdir}/libQt5Bluetooth.prl
%{_qt5_libdir}/libQt5Bluetooth.so
%{_qt5_libdir}/pkgconfig/Qt5Bluetooth.pc
%{_qt5_libdir}/cmake/Qt5Bluetooth

%{_qt5_datadir}/mkspecs/modules/qt_lib_bluetooth.pri
%{_qt5_includedir}/QtBluetooth
%{_qt5_includedir}/QtBluetooth/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_bluetooth_private.pri

#------------------------------------------------------------------------------

%package -n qtnfc5
Summary: Qt%{qtmajor} Nfc Component Library
Group: System/Libraries
Requires: %{libqtnfc} = %{version}
Provides: qt5nfc = %{version}

%description -n qtnfc5
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n qtnfc5
%{_qt5_prefix}/qml/QtNfc

#------------------------------------------------------------------------------

%package -n %{libqtnfc}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtnfc}
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n %{libqtnfc}
%{_qt5_libdir}/libQt5Nfc.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnfc_d}
Summary: Devel files needed to build apps based on QtNfc
Group: Development/Libraries
Requires: %{libqtnfc} = %version
Provides: libqtnfc5-devel = %version
Provides: libqt5nfc-devel = %version
Provides: qtnfc5-devel = %version
Provides: qt5nfc-devel = %version

Provides: libqtnfc5-private-devel = %version
Provides: libqt5nfc-private-devel = %version
Provides: qtnfc5-private-devel = %version
Provides: qt5nfc-private-devel = %version

Obsoletes: %{_lib}qt5nfc-private-devel
Provides:  %{_lib}qt5nfc-private-devel = %version

%description -n %{libqtnfc_d}
Devel files needed to build apps based on Qt Nfc.

%files -n %{libqtnfc_d}
%{_qt5_libdir}/libQt5Nfc.prl
%{_qt5_libdir}/libQt5Nfc.so
%{_qt5_libdir}/pkgconfig/Qt5Nfc.pc
%{_qt5_libdir}/cmake/Qt5Nfc

%{_qt5_datadir}/mkspecs/modules/qt_lib_nfc.pri
%{_qt5_includedir}/QtNfc
%{_qt5_includedir}/QtNfc/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_nfc_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtconnectivity-opensource-src-%{qtversion}

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------
%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -rf %buildroot/%{_qt5_datadir}/examples

%changelog
* Mon Mar 13 2017 adrianomorselli <adrianomorselli> 5.6.2-1uplos2017
- update with new qt5-core
